ROS Resources: Documentation | Support | Discussion Forum | Service Status | Q&A answers.ros.org

New packages and patch release for Foxy Fitzroy 2020-10-09

We’re happy to announce a new Foxy release !

This release brings a number of new packages as well as some updates to ROS 2 core packages. For a list of patches to core packages, see the project board on GitHub .

Package Updates for foxy

Added Packages [28]:

  • ros-foxy-ackermann-msgs: 2.0.2-1
  • ros-foxy-ament-cmake-google-benchmark: 0.9.7-1
  • ros-foxy-four-wheel-steering-msgs: 2.0.1-1
  • ros-foxy-google-benchmark-vendor: 0.0.3-1
  • ros-foxy-lanelet2: 1.1.1-1
  • ros-foxy-lanelet2-core: 1.1.1-1
  • ros-foxy-lanelet2-examples: 1.1.1-1
  • ros-foxy-lanelet2-io: 1.1.1-1
  • ros-foxy-lanelet2-maps: 1.1.1-1
  • ros-foxy-lanelet2-projection: 1.1.1-1
  • ros-foxy-lanelet2-python: 1.1.1-1
  • ros-foxy-lanelet2-routing: 1.1.1-1
  • ros-foxy-lanelet2-traffic-rules: 1.1.1-1
  • ros-foxy-lanelet2-validation: 1.1.1-1
  • ros-foxy-mimick-vendor: 0.2.2-1
  • ros-foxy-mrt-cmake-modules: 1.0.8-1
  • ros-foxy-novatel-gps-driver: 4.1.0-1
  • ros-foxy-novatel-gps-msgs: 4.1.0-1
  • ros-foxy-performance-test-fixture: 0.0.4-1
  • ros-foxy-rover-bringup: 0.1.1-2
  • ros-foxy-rover-description: 0.1.1-2
  • ros-foxy-rover-driver: 0.1.1-2
  • ros-foxy-rover-msgs: 0.1.1-2
  • ros-foxy-rover-navigation: 0.1.1-2
  • ros-foxy-rover-simulation: 0.1.1-2
  • ros-foxy-rover-teleop: 0.1.1-2
  • ros-foxy-roverrobotics-ros2: 0.1.1-2
  • ros-foxy-test-apex-test-tools: 0.0.2-1

Updated Packages [68]:

  • ros-foxy-ament-cmake: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-auto: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-core: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-export-definitions: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-export-dependencies: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-export-include-directories: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-export-interfaces: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-export-libraries: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-export-link-flags: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-export-targets: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-gmock: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-gtest: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-include-directories: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-libraries: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-nose: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-pytest: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-python: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-target-dependencies: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-test: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-cmake-version: 0.9.6-1 -> 0.9.7-1
  • ros-foxy-ament-index-cpp: 1.0.0-1 -> 1.0.1-1
  • ros-foxy-ament-index-python: 1.0.0-1 -> 1.0.1-1
  • ros-foxy-apex-test-tools: 0.0.1-1 -> 0.0.2-1
  • ros-foxy-connext-cmake-module: 1.0.1-1 -> 1.0.2-1
  • ros-foxy-kdl-parser: 2.4.1-1 -> 2.4.1-2
  • ros-foxy-launch-ros: 0.10.2-1 -> 0.10.3-1
  • ros-foxy-launch-testing-ros: 0.10.2-1 -> 0.10.3-1
  • ros-foxy-lgsvl-bridge: 0.1.2-1 -> 0.1.3-1
  • ros-foxy-qt-dotgraph: 1.1.2-1 -> 1.1.2-2
  • ros-foxy-qt-gui: 1.1.2-1 -> 1.1.2-2
  • ros-foxy-qt-gui-app: 1.1.2-1 -> 1.1.2-2
  • ros-foxy-qt-gui-core: 1.1.2-1 -> 1.1.2-2
  • ros-foxy-qt-gui-cpp: 1.1.2-1 -> 1.1.2-2
  • ros-foxy-qt-gui-py-common: 1.1.2-1 -> 1.1.2-2
  • ros-foxy-rcl: 1.1.7-1 -> 1.1.8-1
  • ros-foxy-rcl-action: 1.1.7-1 -> 1.1.8-1
  • ros-foxy-rcl-lifecycle: 1.1.7-1 -> 1.1.8-1
  • ros-foxy-rcl-yaml-param-parser: 1.1.7-1 -> 1.1.8-1
  • ros-foxy-rclcpp: 2.1.0-1 -> 2.2.0-1
  • ros-foxy-rclcpp-action: 2.1.0-1 -> 2.2.0-1
  • ros-foxy-rclcpp-components: 2.1.0-1 -> 2.2.0-1
  • ros-foxy-rclcpp-lifecycle: 2.1.0-1 -> 2.2.0-1
  • ros-foxy-rcutils: 1.0.1-1 -> 1.1.1-1
  • ros-foxy-rmw-cyclonedds-cpp: 0.7.3-1 -> 0.7.4-1
  • ros-foxy-rmw-fastrtps-cpp: 1.2.0-1 -> 1.2.1-1
  • ros-foxy-rmw-fastrtps-dynamic-cpp: 1.2.0-1 -> 1.2.1-1
  • ros-foxy-rmw-fastrtps-shared-cpp: 1.2.0-1 -> 1.2.1-1
  • ros-foxy-robot-state-publisher: 2.4.0-1 -> 2.4.1-1
  • ros-foxy-ros2launch: 0.10.2-1 -> 0.10.3-1
  • ros-foxy-rosidl-typesupport-connext-c: 1.0.1-1 -> 1.0.2-1
  • ros-foxy-rosidl-typesupport-connext-cpp: 1.0.1-1 -> 1.0.2-1
  • ros-foxy-system-modes: 0.3.0-1 -> 0.4.0-1
  • ros-foxy-system-modes-examples: 0.3.0-1 -> 0.4.0-1
  • ros-foxy-urdf: 2.4.0-1 -> 2.4.0-2
  • ros-foxy-urdfdom: 2.3.2-1 -> 2.3.3-1
  • ros-foxy-v4l2-camera: 0.2.1-3 -> 0.3.0-1
  • ros-foxy-webots-ros2: 1.0.1-1 -> 1.0.1-2
  • ros-foxy-webots-ros2-abb: 1.0.1-1 -> 1.0.1-2
  • ros-foxy-webots-ros2-core: 1.0.1-1 -> 1.0.1-2
  • ros-foxy-webots-ros2-demos: 1.0.1-1 -> 1.0.1-2
  • ros-foxy-webots-ros2-epuck: 1.0.1-1 -> 1.0.1-2
  • ros-foxy-webots-ros2-examples: 1.0.1-1 -> 1.0.1-2
  • ros-foxy-webots-ros2-importer: 1.0.1-1 -> 1.0.1-2
  • ros-foxy-webots-ros2-msgs: 1.0.1-1 -> 1.0.1-2
  • ros-foxy-webots-ros2-tiago: 1.0.1-1 -> 1.0.1-2
  • ros-foxy-webots-ros2-universal-robot: 1.0.1-1 -> 1.0.1-2
  • ros-foxy-webots-ros2-ur-e-description: 1.0.1-1 -> 1.0.1-2

Removed Packages [9]:

  • ros-foxy-chiconybot
  • ros-foxy-chiconybot-bringup
  • ros-foxy-chiconybot-cartographer
  • ros-foxy-chiconybot-description
  • ros-foxy-chiconybot-gazebo
  • ros-foxy-chiconybot-msgs
  • ros-foxy-chiconybot-navigation2
  • ros-foxy-chiconybot-node
  • ros-foxy-chiconybot-teleop

Thanks to all ROS maintainers who make packages available to the ROS community. The above list of packages was made possible by the work of the following maintainers:

  • Anup Pemmaiah
  • Apex.AI, Inc.
  • Arne Nordmann
  • Chris Lalancette
  • Cyberbotics
  • Dirk Thomas
  • Dorian Scholz
  • Erik Boasson
  • Fabian Poggenhans
  • Jack O’Quin
  • Jacob Perron
  • Jan-Hendrik Pauls
  • Jorge J. Perez
  • Karsten Knese
  • Kevin Rösch
  • Martins Mozeiko
  • Michael Carroll
  • Nick Padilla
  • P. J. Reed
  • Pete Baughman
  • Sander G. van Dijk
  • Scott K Logan
  • Steven! Ragnarök
  • Vincent Rousseau
  • William Woodall

:fox_face: :turtle:

1 Like

What is the correct way to update ROS2 Foxy to the latest version?

@dayvsonleandro If you are on Ubuntu you can run sudo apt update && sudo apt upgrade

For macOS and Windows, you can find the latest archives on GitHub (under assets).

1 Like